classification
Title: "ez" format code for ParseTuple()
Type: enhancement Stage:
Components: Unicode Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: lemburg Nosy List: lemburg, willeke
Priority: low Keywords:

Created on 2004-01-20 23:03 by willeke, last changed 2007-08-23 19:28 by lemburg. This issue is now closed.

Files
File name Uploaded Description Edit
Python-2.3.3-ezparse.patch willeke, 2004-01-21 23:29 recognize "ez" and "ez#" format codes in ParseTuple()
Messages (5)
msg54086 - (view) Author: Jon Willeke (willeke) Date: 2004-01-20 23:03
I'm using Python 2.3.3 on SuSE Linux 8.2.

It would be nice to have an "ez" format code that is to
"es" as "z" is to "s".  Whereas the "s" and "z" codes
depend on the default encoding, "es" lets you specify
the encoding, which is useful for interfacing with GTK+
and GNOME libraries, which have largely standardized on
UTF-8.

I think it is possible to simulate the desired behavior
with "O&", but it would be simpler with "ez".
msg54087 - (view) Author: Jon Willeke (willeke) Date: 2004-01-21 23:29
Logged In: YES 
user_id=185468

I'm attaching a patch that adds support for the "ez" and
"ez#" format codes.
msg54088 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2004-03-25 17:41
Logged In: YES 
user_id=38388

Can you elaborate on the use case ? I'm asking because I don't
find the 'z' code particulary useful myself because there
are more
elegant ways to deal with optional arguments.
msg54089 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2004-04-02 16:01
Logged In: YES 
user_id=38388

No answers... lowering the priority.
msg55191 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2007-08-23 19:28
Closing. There doesn't seem to be much interest in this.
History
Date User Action Args
2007-08-23 19:28:17lemburgsetstatus: open -> closed
messages: + msg55191
2004-01-20 23:03:52willekecreate